Subject: bug#28699: closed (Re: [bug#28699] [PATCH] pull: Add GUIX_PULL_URL environment variable.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Oct 2017 20:42:02 +0000

Your bug report

#28699: [PATCH] pull: Add GUIX_PULL_URL environment variable.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28699: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28699
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28699] [PATCH] pull: Add GUIX_PULL_URL environment variable.
From: [email-masked] (Ludovic Courtès)
To: Oleg Pykhalov <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Oct 2017 22:41:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>>
>>> From 2638c08eef0e8c173111ced6bbc95167f6130fd7 Mon Sep 17 00:00:00 2001
>>> From: Oleg Pykhalov <[email-masked]>
>>> Date: Wed, 4 Oct 2017 12:01:41 +0300
>>> Subject: [PATCH] pull: Add GUIX_PULL_URL environment variable.
>>>
>>> * guix/scripts/pull.scm (%repository-url): Add GUIX_PULL_URL environment
>>>   variable.
>>> * doc/guix.texi (Invoking guix pull): Mention GUIX_PULL_URL.
>>
>> I’m not entirely convinced, especially with a look on “channels”, which
>> would provide a way to persistently register repo URLs.
>
> Interesting.  I didn't know about channels before you mention.

It’s still a collective pipe dream at this stage, but we’ll get there.
:-)

>> OTOH, I see that it can be convenient in the short-term for someone
>> using a repo other than the default one.
>>
>> Thoughts?
>
> So, as we don't have channels yet, then I think it's a useful patch.
> Because I cannot use 'guix pull --url=URL' when I use 'M-x guix pull' in
> GNU Emacs.

Yeah, that makes sense.

Applied with the changes below, thank you!

Ludo’.

diff --git a/doc/guix.texi b/doc/guix.texi
index 641e39d9e..7b5b71179 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -2532,9 +2532,10 @@ Produce verbose output, writing build logs to the standard error output.
 @item --url=@var{url}
 Download Guix from the Git repository at @var{url}.
 
+@vindex GUIX_PULL_URL
 By default, the source is taken from its canonical Git repository at
 @code{gnu.org}, for the stable branch of Guix.  To use a different source,
-provide @code{GUIX_PULL_URL} environment variable.
+set the @code{GUIX_PULL_URL} environment variable.
 
 @item --commit=@var{commit}
 Deploy @var{commit}, a valid Git commit ID represented as a hexadecimal

Subject: [PATCH] pull: Add GUIX_PULL_URL environment variable.
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Date: Wed, 04 Oct 2017 12:05:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>From 2638c08eef0e8c173111ced6bbc95167f6130fd7 Mon Sep 17 00:00:00 2001
From: Oleg Pykhalov <[email-masked]>
Date: Wed, 4 Oct 2017 12:01:41 +0300
Subject: [PATCH] pull: Add GUIX_PULL_URL environment variable.

* guix/scripts/pull.scm (%repository-url): Add GUIX_PULL_URL environment
  variable.
* doc/guix.texi (Invoking guix pull): Mention GUIX_PULL_URL.
---
 doc/guix.texi         | 3 ++-
 guix/scripts/pull.scm | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index f0a59a6b4..0b6d5cdee 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -2533,7 +2533,8 @@ Produce verbose output, writing build logs to the standard error output.
 Download Guix from the Git repository at @var{url}.
 
 By default, the source is taken from its canonical Git repository at
-@code{gnu.org}, for the stable branch of Guix.
+@code{gnu.org}, for the stable branch of Guix.  To use a different source,
+provide @code{GUIX_PULL_URL} environment variable.
 
 @item --commit=@var{commit}
 Deploy @var{commit}, a valid Git commit ID represented as a hexadecimal
diff --git a/guix/scripts/pull.scm b/guix/scripts/pull.scm
index b1c87c870..240019800 100644
--- a/guix/scripts/pull.scm
+++ b/guix/scripts/pull.scm
@@ -82,7 +82,7 @@ Install it by running:
                (resolve-interface '(git))))
 
 (define %repository-url
-  "https://git.savannah.gnu.org/git/guix.git")
+  (or (getenv "GUIX_PULL_URL") "https://git.savannah.gnu.org/git/guix.git"))
 
 
 ;;;
-- 
2.14.2